--- /dev/null
+#!/bin/sh
+
+# Copyright (C) 2004 Free Software Foundation
+#
+# This file is part of GNUTLS.
+#
+# GNUTLS is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# GNUTLS is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+
+CERTTOOL=../src/certtool
+
+test -d crls || unzip PKITS_data.zip
+
+for crl in crls/*; do
+ $CERTTOOL --crl-info --inder --infile $crl > out 2>&1
+ rc=$?
+ if test $rc != 0; then
+ echo "CRL FATAL $crl"
+ fi
+done
+rm -f out
--- /dev/null
+#!/bin/sh
+
+# Copyright (C) 2004 Free Software Foundation
+#
+# This file is part of GNUTLS.
+#
+# GNUTLS is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# GNUTLS is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+
+CERTTOOL=../src/certtool
+
+test -d certs || unzip PKITS_data.zip
+
+for crt in certs/*; do
+ $CERTTOOL --certificate-info --inder --infile $crt > out 2>&1
+ rc=$?
+ if test $rc != 0; then
+ echo "Certificate FATAL $crt"
+ fi
+done
+rm -f out
--- /dev/null
+#!/bin/sh
+
+# Copyright (C) 2004 Free Software Foundation
+#
+# This file is part of GNUTLS.
+#
+# GNUTLS is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# GNUTLS is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+
+CERTTOOL=../src/certtool
+
+test -d smime || unzip PKITS_data.zip
+
+for msg in smime/*; do
+ $CERTTOOL --smime-to-p7 --infile $msg > out 2>&1
+ rc=$?
+ if test $rc != 0; then
+ echo "S/MIME FATAL $msg"
+ fi
+ $CERTTOOL --p7-info --infile out > out2 2>&1
+ rc=$?
+ if test $rc != 0; then
+ echo "PKCS#7 FATAL $msg."
+ fi
+done
+rm -f out out2